Bug 1128477 - [abrt] usbmuxd: exit(): usbmuxd killed by SIGSEGV
Summary: [abrt] usbmuxd: exit(): usbmuxd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1b9f71f39355d36bc88847a7d64...
: 1150920 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 18:44 UTC by Thomas Drake-Brockman
Modified: 2015-06-30 01:07 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:00 UTC


Attachments (Terms of Use)
File: backtrace (6.30 KB, text/plain)
2014-08-10 18:44 UTC, Thomas Drake-Brockman
no flags Details
File: cgroup (166 bytes, text/plain)
2014-08-10 18:44 UTC, Thomas Drake-Brockman
no flags Details
File: core_backtrace (2.12 KB, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: dso_list (3.13 KB, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: environ (72 bytes, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: maps (15.44 KB, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: open_fds (229 bytes, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: proc_pid_status (901 bytes, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details
File: var_log_messages (13.35 KB, text/plain)
2014-08-10 18:45 UTC, Thomas Drake-Brockman
no flags Details

Description Thomas Drake-Brockman 2014-08-10 18:44:54 UTC
Version-Release number of selected component:
usbmuxd-1.0.9-0.4.c24463e.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/sbin/usbmuxd -u -U usbmuxd -f
crash_function: exit
executable:     /usr/sbin/usbmuxd
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #6 exit at exit.c:104
 #8 _start

Comment 1 Thomas Drake-Brockman 2014-08-10 18:44:58 UTC
Created attachment 925547 [details]
File: backtrace

Comment 2 Thomas Drake-Brockman 2014-08-10 18:44:59 UTC
Created attachment 925548 [details]
File: cgroup

Comment 3 Thomas Drake-Brockman 2014-08-10 18:45:01 UTC
Created attachment 925549 [details]
File: core_backtrace

Comment 4 Thomas Drake-Brockman 2014-08-10 18:45:02 UTC
Created attachment 925550 [details]
File: dso_list

Comment 5 Thomas Drake-Brockman 2014-08-10 18:45:04 UTC
Created attachment 925551 [details]
File: environ

Comment 6 Thomas Drake-Brockman 2014-08-10 18:45:05 UTC
Created attachment 925552 [details]
File: exploitable

Comment 7 Thomas Drake-Brockman 2014-08-10 18:45:06 UTC
Created attachment 925553 [details]
File: limits

Comment 8 Thomas Drake-Brockman 2014-08-10 18:45:08 UTC
Created attachment 925554 [details]
File: maps

Comment 9 Thomas Drake-Brockman 2014-08-10 18:45:09 UTC
Created attachment 925555 [details]
File: open_fds

Comment 10 Thomas Drake-Brockman 2014-08-10 18:45:11 UTC
Created attachment 925556 [details]
File: proc_pid_status

Comment 11 Thomas Drake-Brockman 2014-08-10 18:45:13 UTC
Created attachment 925557 [details]
File: var_log_messages

Comment 12 Peter Robinson 2014-09-01 08:46:36 UTC
Can you provide details of the model and iOS version

Comment 13 Thomas Drake-Brockman 2014-09-01 08:59:40 UTC
Issue presented with iPhone 4S (MD244X/A) running iOS 7.1.2 (11D257).

Comment 14 Samuel Lee 2014-09-01 09:01:40 UTC
Issue also happened on iPhone 5S Gold (MF354ZA/A) iOS 7.1.2 (11D257)

Comment 15 Lars E. Pettersson 2014-09-01 09:02:20 UTC
For me it is iPhone 5S and iOS 7.1.2

Comment 16 David 2014-09-05 21:42:34 UTC
Another user experienced a similar problem:

It happens when I connect an iPod to any usb port of my computer, it makes the charging tone but doesn't charge. On the computer plus this bug report I also get three alerts in SELinux that say:

- SELinux is preventing /usr/sbin/usbmuxd from read access on the chr_file .
- SELinux is preventing /usr/sbin/usbmuxd from using the sys_resource capability.
- SELinux is preventing /usr/sbin/usbmuxd from write access on the directory .

I haven't had problems before. Everything seemed normal when I connected the iPod and don't remember making any important changes that could cause this.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/sbin/usbmuxd -u -U usbmuxd -f
crash_function: exit
executable:     /usr/sbin/usbmuxd
kernel:         3.15.10-201.fc20.x86_64
package:        usbmuxd-1.0.9-0.4.c24463e.fc20
reason:         usbmuxd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0

Comment 17 Romain Janvier 2014-09-10 05:52:23 UTC
I've got the same problem with an iphone 3GS and Fedora 20 64bit. I can't mount my iphone. A few days ago, everything was working fine.

I've looked at my yum history and I installed and update of libusbmuxd. Maybe that's when things broke.

Here is the full history :
Transaction effectuée avec :
    Installé     rpm-4.11.2-2.fc20.x86_64                @updates
    Installé     yum-3.4.3-152.fc20.noarch               @updates
    Installé     yum-metadata-parser-1.1.4-9.fc20.x86_64 @fedora
Paquets modifiés :
    Mis à jour         GraphicsMagick-1.3.19-6.fc20.x86_64            @updates
    Mise à jour                       1.3.20-1.fc20.x86_64            @updates
    Mis à jour         audit-2.3.7-1.fc20.x86_64                      @updates
    Mise à jour              2.4-1.fc20.x86_64                        @updates
    Mis à jour         audit-libs-2.3.7-1.fc20.i686                   @updates
    Mis à jour         audit-libs-2.3.7-1.fc20.x86_64                 @updates
    Mise à jour                   2.4-1.fc20.i686                     @updates
    Mise à jour                   2.4-1.fc20.x86_64                   @updates
    Mis à jour         audit-libs-python-2.3.7-1.fc20.x86_64          @updates
    Mise à jour                          2.4-1.fc20.x86_64            @updates
    Mis à jour         btrfs-progs-3.14.2-3.fc20.x86_64               @updates
    Mise à jour                    3.16-1.fc20.x86_64                 @updates
    Obsolète           ceph-libs-0.81.0-5.fc20.x86_64                 @updates
    Rendre obsolète    ceph-libs-compat-1:0.80.5-8.fc20.x86_64        @updates
    Mis à jour         cogl-1.16.0-2.fc20.x86_64                      @fedora
    Mise à jour             1.16.0-3.fc20.x86_64                      @updates
    Mis à jour         gimp-2:2.8.10-4.fc20.x86_64                    @updates
    Mise à jour             2:2.8.14-1.fc20.x86_64                    @updates
    Mis à jour         gimp-libs-2:2.8.10-4.fc20.x86_64               @updates
    Mise à jour                  2:2.8.14-1.fc20.x86_64               @updates
    Mis à jour         glibc-2.18-12.fc20.i686                        @updates
    Mis à jour         glibc-2.18-12.fc20.x86_64                      @updates
    Mise à jour              2.18-14.fc20.i686                        @updates
    Mise à jour              2.18-14.fc20.x86_64                      @updates
    Mis à jour         glibc-common-2.18-12.fc20.x86_64               @updates
    Mise à jour                     2.18-14.fc20.x86_64               @updates
    Mis à jour         glibc-devel-2.18-12.fc20.x86_64                @updates
    Mise à jour                    2.18-14.fc20.x86_64                @updates
    Mis à jour         glibc-headers-2.18-12.fc20.x86_64              @updates
    Mise à jour                      2.18-14.fc20.x86_64              @updates
    Mis à jour         gnutls-3.1.25-1.fc20.x86_64                    @updates
    Mise à jour               3.1.26-1.fc20.x86_64                    @updates
    Mis à jour         gnutls-dane-3.1.25-1.fc20.x86_64               @updates
    Mise à jour                    3.1.26-1.fc20.x86_64               @updates
    Mis à jour         gnutls-utils-3.1.25-1.fc20.x86_64              @updates
    Mise à jour                     3.1.26-1.fc20.x86_64              @updates
    Mis à jour         gtk3-3.10.9-1.fc20.x86_64                      @updates
    Mise à jour             3.10.9-2.fc20.x86_64                      @updates
    Mis à jour         gtk3-immodule-xim-3.10.9-1.fc20.x86_64         @updates
    Mise à jour                          3.10.9-2.fc20.x86_64         @updates
    Mis à jour         gvfs-1.18.3-2.fc20.x86_64                      @updates
    Mise à jour             1.18.3-3.fc20.x86_64                      @updates
    Mis à jour         gvfs-afc-1.18.3-2.fc20.x86_64                  @updates
    Mise à jour                 1.18.3-3.fc20.x86_64                  @updates
    Mis à jour         gvfs-afp-1.18.3-2.fc20.x86_64                  @updates
    Mise à jour                 1.18.3-3.fc20.x86_64                  @updates
    Mis à jour         gvfs-archive-1.18.3-2.fc20.x86_64              @updates
    Mise à jour                     1.18.3-3.fc20.x86_64              @updates
    Mis à jour         gvfs-fuse-1.18.3-2.fc20.x86_64                 @updates
    Mise à jour                  1.18.3-3.fc20.x86_64                 @updates
    Mis à jour         gvfs-goa-1.18.3-2.fc20.x86_64                  @updates
    Mise à jour                 1.18.3-3.fc20.x86_64                  @updates
    Mis à jour         gvfs-gphoto2-1.18.3-2.fc20.x86_64              @updates
    Mise à jour                     1.18.3-3.fc20.x86_64              @updates
    Mis à jour         gvfs-mtp-1.18.3-2.fc20.x86_64                  @updates
    Mise à jour                 1.18.3-3.fc20.x86_64                  @updates
    Mis à jour         gvfs-smb-1.18.3-2.fc20.x86_64                  @updates
    Mise à jour                 1.18.3-3.fc20.x86_64                  @updates
    Mis à jour         hunspell-1.3.2-14.fc20.x86_64                  @fedora
    Mise à jour                 1.3.3-3.fc20.x86_64                   @updates
    Installation       kernel-3.15.10-201.fc20.x86_64                 @updates
    Installation       kernel-debug-devel-3.15.10-201.fc20.x86_64     @updates
    Installation       kernel-devel-3.15.10-201.fc20.x86_64           @updates
    Mis à jour         kernel-headers-3.15.10-200.fc20.x86_64         ?
    Mise à jour                       3.15.10-201.fc20.x86_64         @updates
    Installation       kernel-modules-extra-3.15.10-201.fc20.x86_64   @updates
    Mis à jour         kexec-tools-2.0.4-27.fc20.x86_64               @updates
    Mise à jour                    2.0.4-28.fc20.x86_64               @updates
    Obsolète           ldns-1.6.16-6.fc20.x86_64                      @fedora
    Rendre obsolète    ldns-1.6.17-7.fc20.x86_64                      @updates
    Installation déps. ldns-utils-1.6.17-7.fc20.x86_64                @updates
    Rendre obsolète    libcephfs1-1:0.80.5-8.fc20.x86_64              @updates
    Mis à jour         libgpod-0.8.3-1.fc20.x86_64                    @fedora
    Mise à jour                0.8.3-2.fc20.x86_64                    @updates
    Mis à jour         libimobiledevice-1.1.5-3.fc20.x86_64           @fedora
    Mise à jour                         1.1.6-2.fc20.x86_64           @updates
    Mis à jour         libipa_hbac-1.11.6-1.fc20.x86_64               @updates
    Mise à jour                    1.11.6-2.fc20.x86_64               @updates
    Mis à jour         libplist-1.10-2.fc20.x86_64                    @fedora
    Mise à jour                 1.11-2.fc20.x86_64                    @updates
    Rendre obsolète    librados2-1:0.80.5-8.fc20.x86_64               @updates
    Rendre obsolète    librbd1-1:0.80.5-8.fc20.x86_64                 @updates
    Mis à jour         libspnav-0.2.2-6.fc20.x86_64                   @fedora
    Mise à jour                 0.2.3-1.fc20.x86_64                   @updates
    Mis à jour         libsss_idmap-1.11.6-1.fc20.x86_64              @updates
    Mise à jour                     1.11.6-2.fc20.x86_64              @updates
    Mis à jour         libsss_nss_idmap-1.11.6-1.fc20.x86_64          @updates
    Mise à jour                         1.11.6-2.fc20.x86_64          @updates
    Mis à jour         libtasn1-3.7-1.fc20.x86_64                     @updates
    Mise à jour                 3.8-1.fc20.x86_64                     @updates
    Installation déps. libusbmuxd-1.0.9-2.fc20.x86_64                 @updates
    Mis à jour         openvpn-2.3.2-4.fc20.x86_64                    @fedora
    Mise à jour                2.3.2-6.fc20.x86_64                    @updates
    Mis à jour         python-gpod-0.8.3-1.fc20.x86_64                @fedora
    Mise à jour                    0.8.3-2.fc20.x86_64                @updates
    Mis à jour         python-sssdconfig-1.11.6-1.fc20.noarch         @updates
    Mise à jour                          1.11.6-2.fc20.noarch         @updates
    Mis à jour         selinux-policy-3.12.1-180.fc20.noarch          @updates
    Mise à jour                       3.12.1-182.fc20.noarch          @updates
    Mis à jour         selinux-policy-targeted-3.12.1-180.fc20.noarch @updates
    Mise à jour                                3.12.1-182.fc20.noarch @updates
    Mis à jour         sssd-1.11.6-1.fc20.x86_64                      @updates
    Mise à jour             1.11.6-2.fc20.x86_64                      @updates
    Mis à jour         sssd-ad-1.11.6-1.fc20.x86_64                   @updates
    Mise à jour                1.11.6-2.fc20.x86_64                   @updates
    Mis à jour         sssd-client-1.11.6-1.fc20.x86_64               @updates
    Mise à jour                    1.11.6-2.fc20.x86_64               @updates
    Mis à jour         sssd-common-1.11.6-1.fc20.x86_64               @updates
    Mise à jour                    1.11.6-2.fc20.x86_64               @updates
    Mis à jour         sssd-common-pac-1.11.6-1.fc20.x86_64           @updates
    Mise à jour                        1.11.6-2.fc20.x86_64           @updates
    Mis à jour         sssd-ipa-1.11.6-1.fc20.x86_64                  @updates
    Mise à jour                 1.11.6-2.fc20.x86_64                  @updates
    Mis à jour         sssd-krb5-1.11.6-1.fc20.x86_64                 @updates
    Mise à jour                  1.11.6-2.fc20.x86_64                 @updates
    Mis à jour         sssd-krb5-common-1.11.6-1.fc20.x86_64          @updates
    Mise à jour                         1.11.6-2.fc20.x86_64          @updates
    Mis à jour         sssd-ldap-1.11.6-1.fc20.x86_64                 @updates
    Mise à jour                  1.11.6-2.fc20.x86_64                 @updates
    Mis à jour         sssd-proxy-1.11.6-1.fc20.x86_64                @updates
    Mise à jour                   1.11.6-2.fc20.x86_64                @updates
    Mis à jour         subversion-libs-1.8.9-1.fc20.x86_64            @updates
    Mise à jour                        1.8.10-1.fc20.x86_64           @updates
    Mis à jour         upower-0.9.23-2.fc20.x86_64                    @updates
    Mise à jour               0.9.23-3.fc20.x86_64                    @updates
    Mis à jour         usbmuxd-1.0.8-10.fc20.x86_64                   @fedora
    Mise à jour                1.0.9-0.4.c24463e.fc20.x86_64          @updates
    Mis à jour         vim-X11-2:7.4.402-1.fc20.x86_64                @updates
    Mise à jour                2:7.4.417-1.fc20.x86_64                @updates
    Mis à jour         vim-common-2:7.4.402-1.fc20.x86_64             @updates
    Mise à jour                   2:7.4.417-1.fc20.x86_64             @updates
    Mis à jour         vim-enhanced-2:7.4.402-1.fc20.x86_64           @updates
    Mise à jour                     2:7.4.417-1.fc20.x86_64           @updates
    Mis à jour         vim-filesystem-2:7.4.402-1.fc20.x86_64         @updates
    Mise à jour                       2:7.4.417-1.fc20.x86_64         @updates
    Mis à jour         vim-minimal-2:7.4.402-1.fc20.x86_64            @updates
    Mise à jour                    2:7.4.417-1.fc20.x86_64            @updates
    Mis à jour         xorg-x11-drv-synaptics-1.7.6-2.fc20.x86_64     @updates
    Mise à jour                               1.7.6-4.fc20.x86_64     @updates

I also noticed that I haven't got the same versions of libusbmuxd and usbmuxd :
libusbmuxd-1.0.9-2.fc20.x86_64
usbmuxd-1.0.9-0.4.c24463e.fc20.x86_64

Comment 18 Peter Robinson 2014-09-10 10:35:01 UTC
> I also noticed that I haven't got the same versions of libusbmuxd and
> usbmuxd :
> libusbmuxd-1.0.9-2.fc20.x86_64
> usbmuxd-1.0.9-0.4.c24463e.fc20.x86_64

They've been split into two difference packages

Comment 19 David 2014-09-11 21:31:03 UTC
I got the problem with the IPod 4g with IOS 6.0.1 (10A523).

Comment 20 yyam 2014-09-12 03:08:59 UTC
I got the problem with the IPhone 4s with IOS 7.1.2 

I even can not charge my phone

Comment 21 Christophe Fergeau 2014-10-09 07:58:31 UTC
Are you still getting these crashes if you temporarily disable selinux? (su -c "setenforce 0")

Comment 22 Miloslav Trmač 2014-10-09 12:11:25 UTC
I don’t see the crashes with enforcing turned off, as of

selinux-policy-3.12.1-183.fc20.noarch
usbmuxd-1.0.9-0.6.c24463e.fc20.x86_64

… but then I can’t reproduce the crash with enforcing turned on, either.

Comment 23 Romain Janvier 2014-10-09 18:39:09 UTC
I can confirm that disabling selinux fix the problem for me.

selinux-policy-3.12.1-183.fc20.noarch
usbmuxd-1.0.9-0.6.c24463e.fc20.x86_64

But, even if I turn selinux back on, I can still mount my iphone. I'll try again tomorrow to see if it is still the same after a reboot.

Comment 24 David 2014-10-09 23:36:49 UTC
The same happened to me. When I put SELinux in permissive mode got to mount the iPod, and after turning it to enforcing again I still being able to do it.

Also, SELinux keeps showing alerts when connecting the iPod, despite it mounts correctly.


- SELinux is preventing /usr/sbin/usbmuxd from using the chown capability.
- SELinux is preventing /usr/sbin/usbmuxd from using the setrlimit access on a     process.
- SELinux is preventing /usr/sbin/usbmuxd from using the fowner capability.

Comment 25 Peter Robinson 2014-10-10 19:01:11 UTC
selinux people with the latest version there was a rejig of libraries, daemons etc so I believe we might need to review and tweak the libiphone* stack

Comment 26 Daniel Walsh 2014-10-12 11:39:22 UTC
Could you attach the AVCs that are being generated.

I have added the following to the upstream policy

index 85774c6..a6b9e84 100644
--- a/usbmuxd.te
+++ b/usbmuxd.te
@@ -28,9 +28,9 @@ systemd_unit_file(usbmuxd_unit_file_t)
 # Local policy
 #
 
-allow usbmuxd_t self:capability { kill setgid setuid };
+allow usbmuxd_t self:capability { fowner fsetid chown kill setgid setuid };
 dontaudit usbmuxd_t self:capability sys_resource;
-allow usbmuxd_t self:process { signal signull };
+allow usbmuxd_t self:process { signal_perms setrlimit };
 allow usbmuxd_t self:fifo_file rw_fifo_file_perms;
 allow usbmuxd_t self:netlink_kobject_uevent_socket create_socket_perms;
 allow usbmuxd_t self:unix_stream_socket connectto;

Comment 27 Christophe Fergeau 2014-10-14 10:42:05 UTC
You can find the AVCs I get on f21 in https://bugzilla.redhat.com/show_bug.cgi?id=1150920

Comment 28 Peter Robinson 2014-10-15 16:27:16 UTC
There's also a new upstream release which is in F-22 now and making it's way to updates-testing in F-21 as part of the gnome 3.14.1 update 

(before anyone asks for it for F-20 to support iOS8.... only once this issue is fixed and it's stable in F-21+.... maybe!)

Comment 29 Peter Robinson 2014-10-17 09:37:56 UTC
*** Bug 1150920 has been marked as a duplicate of this bug. ***

Comment 30 Christophe Fergeau 2014-10-17 13:28:21 UTC
Latest selinux alert with usbmuxd-1.0.9-1:

Additional Information:
Source Context                system_u:system_r:usbmuxd_t:s0
Target Context                system_u:system_r:usbmuxd_t:s0
Target Objects                /var/lib/lockdown [ dir ]
Source                        usbmuxd
Source Path                   /usr/sbin/usbmuxd
Port                          <Unknown>
Host                          edamame.cdg.redhat.com
Source RPM Packages           usbmuxd-1.0.9-1.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-86.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     edamame.cdg.redhat.com
Platform                      Linux edamame.cdg.redhat.com
                              3.17.1-300.fc21.x86_64 #1 SMP Wed Oct 15 20:53:21
                              UTC 2014 x86_64 x86_64
Alert Count                   23
First Seen                    2014-10-09 10:32:08 CEST
Last Seen                     2014-10-17 15:05:17 CEST
Local ID                      db8d4441-d19f-4220-8b37-2287e3b95f91

Raw Audit Messages
type=AVC msg=audit(1413551117.20:1063): avc:  denied  { setattr } for  pid=8091 comm="usbmuxd" name="lockdown" dev="dm-2" ino=1217336 scontext=system_u:system_r:usbmuxd_t:s0 tcontext=system_u:system_r:usbmuxd_t:s0 tclass=dir permissive=1


type=SYSCALL msg=audit(1413551117.20:1063): arch=x86_64 syscall=chmod success=yes exit=0 a0=10e42b0 a1=5fd a2=7fffe1c41fd0 a3=7a9 items=0 ppid=1 pid=8091 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=usbmuxd exe=/usr/sbin/usbmuxd subj=system_u:system_r:usbmuxd_t:s0 key=(null)

Hash: usbmuxd,usbmuxd_t,usbmuxd_t,dir,setattr

Comment 31 Christophe Fergeau 2014-10-17 13:28:44 UTC
(got this alert after manually fixing https://bugzilla.redhat.com/show_bug.cgi?id=1154077 )

Comment 32 Miroslav Grepl 2014-10-17 13:40:02 UTC
Christophe,
the problem is you assing the process type instead of file type.

chcon -R -t usbmuxd_var_lib_t /var/lib/lockdown

Comment 33 Christophe Fergeau 2014-10-17 13:50:44 UTC
Ah right, I'm really sorry for not following your advice the first time around. I assumed rebooting + removing /var/lib/lockdown would take care of whatever mess I had made. Obviously, I did not remove the right dir...

So after:
1. manually fixing usbmuxd 1.0.9 for rhbz#1154077
2. running your chcon command
3. removing /var/lib/lockdown (just in case)

I no longer get selinux alerts when plugging the phone (which lets me switch back to enforcing mode).

Comment 34 Thomas Drake-Brockman 2014-10-31 07:13:58 UTC
I have received a needinfo request, but I don't see any note above as to what info is required?

Comment 35 Fedora End Of Life 2015-05-29 12:36:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 36 Fedora End Of Life 2015-06-30 01:07:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.